/*
 * JRProperty.java
 *
 * Created on 10 marzo 2004, 18.08
 */

package it.businesslogic.ireport;

/**
 *
 * @author  Administrator
 */
public class JRProperty {
    
    private String name="";
    
    private String value="";
    
    /** Creates a new instance of JRProperty */
    public JRProperty() {
    }
    
    /** Getter for property name.
     * @return Value of property name.
     *
     */
    public java.lang.String getName() {
        return name;
    }
    
    /** Setter for property name.
     * @param name New value of property name.
     *
     */
    public void setName(java.lang.String name) {
        this.name = name;
    }
    
    /** Getter for property value.
     * @return Value of property value.
     *
     */
    public java.lang.String getValue() {
        return value;
    }
    
    /** Setter for property value.
     * @param value New value of property value.
     *
     */
    public void setValue(java.lang.String value) {
        this.value = value;
    }
    
    public String toString()
    {
        return (name == null) ? "" : name;
    }
}
